local OnEvent = function(self, event, ...)
	if (event == "COMBAT_LOG_EVENT_UNFILTERED") then
		local _, cmbEvent, _, sGUID, _, _, _, dGUID, _, dFlag = select(1, ...)
		if (cmbEvent == "SPELL_INTERRUPT") then
			--- someone on our side interrupted a spell
			if (sGUID == UnitGUID("player") and CombatLog_Object_IsA(dFlag, COMBATLOG_FILTER_HOSTILE_PLAYERS)) then
				--- the interrupting unit is the current player, and the combat log says the unit interrupted was not an NPC
				if GetPlayerInfoByGUID(dGUID) == nil then
					--- the unit does not return a human player, so it was just a controlled unit
					return
				end
				--- If the dGUID check did not drop us out of the function, we interrupted a player.  play the sound.
				PlaySoundFile("Interface\\AddOns\\Shutupfool\\Shutupfool.mp3")
			end
		end
	end
end
---------------------------------------------------------
local f = CreateFrame("Frame", nil, UIParent)
f:RegisterEvent("COMBAT_LOG_EVENT_UNFILTERED")
f:SetScript("OnEvent", OnEvent)
---------------------------------------------------------